Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms

		Public Partial Class Form1
			Inherits Form
			Public Sub New()
				InitializeComponent()
			End Sub
			Public Function MyDataTable() As DataTable
				Dim dtsource As New DataTable()
''Adding columns to datatable

				dtsource.Columns.Add("UserId")
				dtsource.Columns.Add("Name")
				dtsource.Columns.Add("Age")
				dtsource.Columns.Add("Address")
				dtsource.Columns.Add("Sex")
				dtsource.Columns.Add("DOB")
				dtsource.Columns.Add("Year")
				dtsource.Columns.Add("Designation")
''Adding records to the datatable

				dtsource.Rows.Add("1", "Name1", "20", "Address1", "Male", "20/12/1978", _
					"1978", "Student")
				dtsource.Rows.Add("2", "Name2", "21", "Address2", "Male", "20/12/1984", _
					"1984", "Doctor")
				dtsource.Rows.Add("3", "Name3", "22", "Address3", "Male", "10/11/1943", _
					"1943", "Software Eng.")
				dtsource.Rows.Add("4", "Name4", "23", "Address4", "Male", "12/12/1956", _
					"1956", "Police man")
				dtsource.Rows.Add("5", "Name5", "24", "Address5", "Male", "11/01/1856", _
					"1856", "CEO")
				dtsource.Rows.Add("6", "Name6", "25", "Address6", "Female", "29/12/2008", _
					"2008", "Manager")
				dtsource.Rows.Add("7", "Name7", "26", "Address7", "Female", "29/12/2004", _
					"2004", "Business man")
				dtsource.Rows.Add("8", "Name8", "27", "Address8", "Female", "29/12/1956", _
					"1956", "Student")
				dtsource.Rows.Add("9", "Name9", "28", "Address9", "Female", "15/10/2009", _
					"2009", "Project Manager")
				dtsource.Rows.Add("10", "Name10", "29", "Address10", "Female", "29/12/2010", _
					"2010", "Doctor")
				Return dtsource
			End Function
			Private startRow As Integer, endRow As Integer
			Private selRowList As List(Of Integer)
			Private Sub Form1_Load(sender As Object, e As EventArgs)
				c1TrueDBGrid1.DataSource = MyDataTable()
				For Each dc As C1.Win.C1TrueDBGrid.C1DisplayColumn In c1TrueDBGrid1.Splits(0).DisplayColumns
					dc.FetchStyle = True
				Next
				AddHandler c1TrueDBGrid1.FetchCellStyle , AddressOf c1TrueDBGrid1_FetchCellStyle
				c1TrueDBGrid1.MarqueeStyle = C1.Win.C1TrueDBGrid.MarqueeEnum.NoMarquee
				c1TrueDBGrid1.MultiSelect = C1.Win.C1TrueDBGrid.MultiSelectEnum.None
				AddHandler c1TrueDBGrid1.MouseClick , AddressOf c1TrueDBGrid1_MouseClick
				selRowList = New List(Of Integer)()
			End Sub
			Sub c1TrueDBGrid1_MouseClick(sender As Object, e As MouseEventArgs)
				If (startRow).Equals(-1) Then
					selRowList.Clear()
					startRow = c1TrueDBGrid1.RowContaining(e.Y)
					selRowList.Add(startRow)
				Else
					If (ModifierKeys).Equals(Keys.Control) Then
						selRowList.Clear()
						endRow = c1TrueDBGrid1.RowContaining(e.Y)
						Dim counter As Integer = 0
						If endRow > startRow Then
							counter = 1
						ElseIf endRow < startRow Then
							counter = -1
						End If
						For i As Integer = startRow To endRow
							selRowList.Add(i)
						Next
						selRowList.Add(endRow)
						startRow = -1
						endRow = -1
					Else
						selRowList.Clear()
						c1TrueDBGrid1.ClearCellStyle(C1.Win.C1TrueDBGrid.CellStyleFlag.AllCells)
						startRow = c1TrueDBGrid1.RowContaining(e.Y)
						selRowList.Add(startRow)
					End If
				End If
				c1TrueDBGrid1.Refresh()
			End Sub
			Sub c1TrueDBGrid1_FetchCellStyle(sender As Object, e As C1.Win.C1TrueDBGrid.FetchCellStyleEventArgs)
				If e.Col >= 1 AndAlso e.Col <= 4 Then
					If selRowList.Contains(e.Row) Then
						e.CellStyle.BackColor = Color.LightGreen
					End If
				End If
			End Sub
		End Class
	
